
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>jquery代码优化详解 / iVAN</title>

    <meta name="description" content="jquery代码优化详解 仅仅是想在jquery的各个实现的层面上来进行优化,只涉及到了对jquery整个运行过程的分析.细节介绍和优化方向,并没有提到一些基本之基本的优化方法,比如: 先将整个table从dom树中移除,完成所有的操作之后再放回dom,减少repaint. 将mouseo教程ver和mouseout改为mouseenter和mouseleave,减少因为下正确的事件冒泡模型导致的重复的事件函数的执行. 对于th.td之类单纯元素的选择,优先考虑使用原生的getelementsbytagname,消灭si">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">jquery代码优化详解</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>仅仅是想在jquery的各个实现的层面上来进行优化，只涉及到了对jquery整个运行过程的分析、细节介绍和优化方向，并没有提到一些基本之基本的优化方法，比如：</p>
<p>先将整个table从dom树中移除，完成所有的操作之后再放回dom，减少repaint。 <br />
将mouseo教程ver和mouseout改为mouseenter和mouseleave，减少因为下正确的事件冒泡模型导致的重复的事件函数的执行。 <br />
对于th、td之类单纯元素的选择，优先考虑使用原生的getelementsbytagname，消灭sizzle分析选择器的时间。</p>
<blockquote><p>$.fn.beautifytable = function(options) {<br />
    //定义默认配置项，再用options覆盖<br />
    return this.each(function() {<br />
        var table = $(this),<br />
            tbody = table.children('tbody'),<br />
            tr = tbody.children('tr'),<br />
            th = tbody.children('th'),<br />
            td = tbody.children('td');<br />
            <br />
        //单独内容的class<br />
        table.addclass(option.tableclass);<br />
        th.addclass(options.headerclass); //1<br />
        td.addclass(options.cellclass); //2<br />
        //奇偶行的class<br />
        tbody.children('tr:even').addclass(options.evenrowclass); //3<br />
        tbody.children('tr:odd').addclass(options.oddrowclass); //4<br />
        //对齐方式<br />
        tr.children('th,td').css教程('text-align', options.align); //5<br />
        //添加鼠标悬浮<br />
        tr.bind('mouseover', addactiveclass); //6<br />
        tr.bind('mouseout', removeactiveclass); //7<br />
        //点击变色<br />
        tr.bind('click', toggleclickclass); //8</p></blockquote>
<p>开始从代码层面进行分析，这是一个标准的jquery插件式的函数，有个典型的return this.each(function() { ... };);形式的代码，如果作者写下这段代码的时候，不是照本宣科不经思考的话，就应该意识到jquery的一个函数干了什么事。</p>
<p>简单来说，jquery.fn下的函数，绝大部分是一个each的调用，所谓each，自然是对选择出来的元素进行了遍历，并对某个元素进行了指定的操作。那么看看上面一段代码，进行了多少的遍历，在此就假设只选择了120行，每一行有6列，另加上1行的表头吧：</p>
<p>遍历th，添加headerclass，元素数为6。 <br />
遍历td，添加cellclass，元素数为6*120=720。 <br />
从所有tr中找出奇数的，需要对所有tr进行一次遍历，元素数为120。 <br />
遍历奇数的tr，添加evenrowclass，元素数为120/2=60。 <br />
从所有tr中找出偶数的，需要对所有tr进行一次遍历，元素数为120。 <br />
遍历偶数的tr，添加oddrowclass，元素数为120/2=60。 <br />
遍历所有th和td，添加text-align，元素数为120*6+6=726。 <br />
遍历所有tr，添加mouseover事件，元素数为120。 <br />
遍历所有tr，添加mouseout事件，元素数为120。 <br />
遍历所有tr，添加click事件，元素数为120。 <br />
为了方便，我们简单地假设，在遍历中访问一个元素耗时为10ms，那么这个函数一共用了多少时间呢？这个函数共遇上了2172个元素，耗时21720ms，即21秒，显然ie确实应该报脚本执行过久了。</p>
<p>基本优化<br />
知道了效率低下的原因，要从根本上进行解决，自然要想方设法来合并循环，初略一看，按照上边代码中注释里的数字，至少以下几点是可以合并的：</p>
<p>3和4可以合并为一次循环，从120+60+120+60变为120，减少了240。 <br />
1、2和5可以合并为一次循环，从6+720+726变为726，减少了726。 <br />
6、7、8可以合并为一次循环，从120+120+120变为120，减少了240。 <br />
进一步的，3、4和6、7、8一样可以合并为一次循环，继续减少了120。 <br />
累加一下，我们一共减少了240+726+240+120=1326次元素操作，总计13260ms。在优化之后，我们的函数耗时变为21720-13260=8460ms，即8s。</p>
<p>注意选择器<br />
到这里可能会有一个疑问，从表格的结构上来说，所有的th和td元素肯定都在tr之内，那么为什么不将1、2、5这三步的循环同样放到对tr的循环中，形成一个嵌套的循环，这样不是更加快速吗？</p>
<p>这里之所以没有这么做，主要有2个原因：</p>
<p>其一，无论将1、2、5这三者放在哪里，都不会减少对所有th和td元素的一次访问。</p>
<p>另一方面，$('th,td')这个选择器，在sizzle中会被翻译成2次getelementsbytagname函数的调用，第一次获取所有th，第二次获取所有td，然后进行集合的归并。由于getelementsbytagname是内置函数，在此可以认为该函数是不带循环的，即复杂度为o(1)，同样集合的归并使用array的相关函数，是对内存的操作，复杂度同样为o(1)。</p>
<p>反之，如果在对tr元素的循环中再采用$('th,'td)这个选择器，则是在tr元素上调用2次getelementsbytagname，由于无论在哪个元素上调用该函数，函数执行的时间是相同的，因此在循环tr时使用，反而多出了119*2次的函数调用，效率不升反降。</p>
<p>可见，对sizzle选择器的基本知识，也是帮助优化jquery代码的很重要的一方面。</p>
<p>不要啥都让网页特效来做<br />
根据前面的基本的优化，已经将时间从21秒降到了8秒，但是8秒这个数字显然是无法接受的。</p>
<p>再进一步分析我们的代码，事实上，循环遍历是语言层面上的内容，其速度应该是相当快的。而针对每个元素所做的操作，是jquery提供的函数，相比遍历来说，才是占去大部分资源的主子。如果说遍历中访问元素用时是10ms的话，不客气地说执行一个addclass至少是100ms级别的消耗。</p>
<p>因此，为了进一步地优化效率，就不得不从减少对元素的操作入手。再仔细地回审代码，发现这个函数有着非常多的对样式的修改，其中至少包括了：</p>
<p>给所有th加上class。 <br />
给所有td加上class。 <br />
给tr分奇偶行加上class。 <br />
给所有th和td加上一个text-align样式。 <br />
而事实上我们知道，css本身就拥有子代选择器，而浏览器原生对css的解析，效率远远高于让javascript去给元素一一加上class。</p>
<p>所以，如果对css是可控的，那么这个函数就不应该拥有headerclass、cellclass这两个配置项，而是尽可能地在css中进行配置：</p>
<p>.beautiful-table th { /* headerclass的内容 */ }<br />
.beautiful-table td { /* cellclass的内容 */ }再者，对于tr的奇偶行样式，在部分浏览器下可以使用:nth-child伪类来实现，这方面可以利用特性探测，仅在不支持该伪类的浏览器中使用addclass添加样式。当然如果你仅仅想对ie系列进行优化的话，这一条可以忽略了。</p>
<p>对于:nth-child伪类的探测，可以用以下的思路来进行：</p>
<p>创建一个stylesheet，再创建一条规则，如#test span:nth-child(odd) { display: block; }。 <br />
创建相应的html结构，一个id为test的div，内部放置3个span。 <br />
将stylesheet和div一同加入的dom树中。 <br />
查看第1和第3个span的运行期display样式，如果是block，则表明支持该伪类。 <br />
删除创建的stylesheet和div，别忘了缓存探测的结果。 <br />
最后，对于给所有th和td元素添加text-align样式，也是可以通过css进行优化的。既然不知道添加的是哪个align，那么就多写几个样式：</p>
<p>/* css样式 */<br />
.beautiful-table-center th,.beautiful-table-center td { text-align: center !important; }<br />
.beautiful-table-right th,.beautiful-table-right td { text-align: right !important; }<br />
.beautiful-table-left th,.beautiful-table-left td { text-align: left !important; }</p>
<p>/* javascript */<br />
table.addclass('beautiful-table-' + options.align);当然，上面所说的优化，是建立在对css有控制权的情况下的，如果本身无法接触到css样式，比如这是一个通用的插件函数，会被完全无法控制的第三方使用，那么怎么办呢？也不是完全没有办法：</p>
<p>去找页面里的所有css规则，比如document.stylesheets。 <br />
遍历所有规则，把配置项中的headerclass、cellclass等拿出来。 <br />
提取需要的几个class中的所有样式，再自己组装成新的选择器，如beautiful-table th。 <br />
使用创建出来的选择器，生成新的stylesheet，加入到dom树中。 <br />
那么只给table加上beautiful-table这个class就搞定了。 <br />
当然上面的做法其实也蛮消耗时间的，毕竟又要遍历stylesheet，又要创建stylesheet。具体是不是对效率提升有很大的帮助，则依据页面的规模会有不同的效果，是否使用就要看函数设计人员的具体需求了，这里也就是提一种策略。</p>
<p>总的来说，通过尽可能少地执行javascript，将更多的样式化的任务交给css，则浏览器的渲染引擎来完成，又可以进一步地优化该函数，假设对addclass、css的调用需要100ms的话，此次优化直接消灭了原有120+726=846次的操作，节约了84600ms的时间（当然有夸张的成分，但是对整个函数的消耗来说，这个确实是很大的一块）。</p>
<p>    });<br />
};</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 13:29:18</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81/" title="代码">代码</a>, <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/%e4%bc%98%e5%8c%96/" title="优化">优化</a>, <a href="https://www.iamivan.net/tag/%e6%97%b6%e9%97%b4/" title="时间">时间</a>, <a href="https://www.iamivan.net/tag/class/" title="class">class</a>, <a href="https://www.iamivan.net/tag/%e6%95%88%e7%8e%87/" title="效率">效率</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>jquery代码优化详解的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJOV37b.html" rel="bookmark">jQuery选择器及jquery案例详解&lpar;必看&rpar;&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JQuery选择器 解析:为了更好的或者是更快的从复杂的DOM树中找到我们需要的一类标签 1.层次选择器 &lt;!-- 当点击h2元素时,为#menu下的&lt;span&gt;元素添加色为#09F的颜色背景 --&gt; &lt;!-- &lt;script type=&quot;text/javascript&quot;&gt; $(function () { $('h2').click(function () { $('#menu span').css('background-color','#0			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVDykDM.html" rel="bookmark">jQuery&period;getJSON详解与getJSON和asp&period;net实例&lpar;1&sol;3&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				jquery.getjson详解与getjson和asp教程.net实例 jquery.getjson( url, [data], [callback] ) 跨域加载json数据. url: 发送请求的地址 data : (可选) 待发送key/value参数 callback: (可选) 载入成功时的回调函数 主要用于客户端获取服务器json数据.简单示例: 服务器脚本,返回json数据: $.getjson.php教程 $arr=array(&quot;name&quot;=&gt;&quot;zha			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOGn53z.html" rel="bookmark">YII框架中搜索分页jQuery写法详解&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				控制层 use frontend\models\StudUser; use yii\data\Pagination; use yii\db\Query; /** * 查询 * */ public function actionSearch() { //接值 $where=Yii::$app-&gt;request-&gt;get(); //实例化query $query=new Query(); $query-&gt;from('stud_user'); //判断 if(isset($where['sex			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boa2yXp.html" rel="bookmark">原生js封装的一些jquery方法&lpar;详解&rpar;&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				用js封装一些常用的jquery方法 记录一下 hasClass:判断是否有class function hasClass(ele, cls) { if (!ele || !cls) return false; if (ele.classList) { return ele.classList.contains(cls); } else { return ele.className.match(new RegExp('(\\s|^)' + cls + '(\\s|$)')); } } addCl			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2W3LkM.html" rel="bookmark">深入理解Python 代码优化详解&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				选择了脚本语言就要忍受其速度,这句话在某种程度上说明了 python 作为脚本的一个不足之处,那就是执行效率和性能不够理想,特别是在 performance 较差的机器上,因此有必要进行一定的代码优化来提高程序的执行效率.如何进行 Python 性能优化,是本文探讨的主要问题.本文会涉及常见的代码优化方法,性能优化工具的使用以及如何诊断代码的性能瓶颈等内容,希望可以给 Python 开发人员一定的参考. 代码优化能够让程序运行更快,它是在不改变程序运行结果的情况下使得程序的运行效率更高,根据 8			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/gpkmV1b.html" rel="bookmark">jquery tmpl 详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				动态请求数据来更新页面是现在非常常用的方法,比如博客评论的分页动态加载,微博的滚动加载和定时请求加载等.   这些情况下,动态请求返回的数据一般不是已拼好的 HTML 就是 JSON 或 XML,总之不在浏览器端拼数据就在服务器端拼数据.不过,从传输量方面来看,返回 HTML 不划算,而在 web 传输方面,现在更多的是使用 JSON 而不是 XML. 浏览器端根据 JSON 生成 HTML 有个很苦恼的地方就是,结构不复杂的时候还好,结构一复杂,就想死了,需要很小心很小心地写出几乎无法维护的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bE6mRoM.html" rel="bookmark">强大的jQuery选择器 &lpar;详解&rpar;&lbrack;转&rsqb;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				from:http://bbs.chinaandroid.com/showtopic-89.aspx 1).基本 ·#id 根据给定的ID匹配一个元素.例如:$(&quot;#id&quot;) ·element 根据给定的元素名匹配所有元素.例如:$(&quot;div&quot;) ·.class 根据给定的类匹配元素.例如:$(&quot;.style1&quot;);  ·* 匹配所有元素.例如:$(&quot;*&quot;) ·selector1,selector2,selectorN 将每一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDeEAOb.html" rel="bookmark">jquery getjson 详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				getjson( url, [ data ], [ success(data, textstatus, jqxhr) ] ) urla string containing the url to which the request is sent. dataa map or string that is sent to the server with the request. success(data, textstatus, jqxhr)a callback function that is e			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvYEGVb.html" rel="bookmark">jQuery 选择器详解&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				$()函数在很多JavaScript类库中都被作为一个选择器函数来使用,在jQuery中就是. $(&quot;#id&quot;)通过id来获取元素,用来代替document.getElementById()函数. $(&quot;tagName&quot;)通过标签名来获取元素,用来代替document.getElementsByTagName()函数. jQuery的基本语法是:$(selector).action(), selector即选择器. jQuery选择器的分类 jQuery的选择器基本			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LpdP62p.html" rel="bookmark" class="title">网页导航设计技巧&colon;尽情拓展设计创意和思维的导航设计</a>
					<div>
						文章描述:导航一般位于网页的中上部分,也是视觉中心的区域内.在保持其合理的功能作用的同时,一个好的导航设计,往往 能够成为整个网页设计的点睛之笔! 导航是网页设计中不可缺少的部分,它是网站访问者获取所 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VzwEgkM.html" rel="bookmark" class="title">如何把存储在数据库中的图片根据自己的需要的大小显示出来</a>
					<div>
						文件1:showimage.aspx.cs namespace ImageResizing { public class MainDisplay : System.Web.UI.Page { publ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNE2lyb.html" rel="bookmark" class="title">解析动态联编&lpar;下篇&rpar;</a>
					<div>
						三 虚函数表VTABLE 动态联编过程跟我们猜测的大致相同.编译器在执 行过程中遇到virtual关键字的时候,将自动安装动态联编需要的机制,首先为这 些包含virtual函数的类(注意不是类的实例) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0P7YAM.html" rel="bookmark" class="title">查看Android应用所需权限</a>
					<div>
						  MainActivity如下: package cc.testusespermission; import android.app.Activity; import android.content ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7kqZM.html" rel="bookmark" class="title">360浏览器猜你喜欢怎么删除？</a>
					<div>
						  使用360浏览器的用户都会发现一个问题,在浏览一些网站内容的时候,再浏览器下方总会出现一个猜你喜欢的到航条,很多用户对于该导航条非常的方案,却又不知道应该如何删除,故此小编为大家提供了该导航条的删 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1E6PjM.html" rel="bookmark" class="title">Win8&period;1系统无法运行Java程序的解决办法</a>
					<div>
						  部分Win8.1系统用户发现在使用Java程序时,页面上留块空白和一个黑黑的叉叉,或者干脆无法运行程序.下面系统之家小编就为大家介绍一下Win8.1系统无法运行Java程序的解决办法! 1.确定你 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72medp.html" rel="bookmark" class="title">电脑传真怎么用</a>
					<div>
						  Windows XP 系统提供了传真功能,请您按照下列介绍的方法运行: 第一步.安装传真服务 1.点击&quot;开始&quot;--&gt;&quot;控制面板&quot;--&gt;&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEW30Zp.html" rel="bookmark" class="title">demo-js如何操作xmpp，即时消息提醒</a>
					<div>
						问题描述 js如何操作xmpp,即时消息提醒 #求一个js操作xmpp的小demo就可以 #我想在页面实现一个即时消息的提醒 **谢谢大家了,js如何连接一下服务器,怎么调用函数 **					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYRxaQp.html" rel="bookmark" class="title">大数据、人工智能、VR、Docker、前端、网络，双11技术视频、讲义、文章一键收 &num;&num;您的好友演讲视频&plus;PDF讲义已上线&num;&num;</a>
					<div>
						诚然,每届双11对阿里来说都是一次大考,然而,1207亿的背后,考校的绝不仅是阿里的系统支撑能力,比如: 17.5万笔/秒的交易订单数峰值,2015年是14.05万笔:12万笔/秒的支付峰值,2015 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLm5q8z.html" rel="bookmark" class="title">ORACLE外部表总结</a>
					<div>
						外部表介绍   ORACLE外部表用来存取数据库以外的文本文 件(Text File)或ORACLE专属格式文件.因此,建立外部表时不会产生段.区.数据块等存储结构,只有与表相关的定义放在数据字典中. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm6Y57z.html" rel="bookmark" class="title">android-日历显示错误的日期和时间</a>
					<div>
						问题描述 日历显示错误的日期和时间 final Calendar c = Calendar.getInstance(); Toast.makeText(alarm.this, &quot; &quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmvY8z.html" rel="bookmark" class="title">在windows下开发的常见错误&mdash;&mdash;持续更新，不断完善</a>
					<div>
						1.VC9: LINK : warning LNK4068: /MACHINE not specified; defaulting to X86 原因之一:工程中包含的资源文件不在当前的工程目录中 解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAAV2QM.html" rel="bookmark" class="title">c&num; 碰撞-C&num; 两个点延伸出一条线，然后交汇 有什么思路</a>
					<div>
						问题描述 C# 两个点延伸出一条线,然后交汇 有什么思路 就是模拟出两个点在一条路径上走的碰撞过程,多线程之类的...求思路,求代码					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvm9j1b.html" rel="bookmark" class="title">一个全是&period;asp后缀的文件，不知道是不是源文件，想知道有什么用，怎么用，或者用什么工具打开</a>
					<div>
						问题描述 一个全是.asp后缀的文件,不知道是不是源文件,想知道有什么用,怎么用,或者用什么工具打开 如图,是文件中部分内容,下面都是.asp的文件了.求大神指教 解决方案 记事本打开看看是否包含ht ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDvjkz.html" rel="bookmark" class="title">wpf使用代理服务器调用的谷歌地图，怎样不要弹出windows验证用户名、密码的对话框</a>
					<div>
						问题描述 wpf程序,使用webBrowser控件,调用谷歌地图.公司使用的是代理模式上网,所以每次打开ie都会弹出一个输入用户名和密码的对话框,因为webBrowser加载的Html里,引用了Goo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRY36b.html" rel="bookmark" class="title">API Demos 2&period;3 学习笔记 &lpar;12&rpar;-- Views-&amp;amp&semi;gt&semi;Rating Bar</a>
					<div>
						更多精彩内容,请点击阅读:&lt;API Demos 2.3 学习笔记&gt; RatingBar是基于SeekBar和ProgressBar的扩展,用星型来显示等级评定.用户可以通过触屏点击或者轨迹 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYBvZp.html" rel="bookmark" class="title">《IP路由协议疑难解析》一2&period;10　对RIP的改进</a>
					<div>
						2.10 对RIP的改进 IP路由协议疑难解析 RIP版本2(RIP-2)增强并改进了RIP-1的功能.RIP-2支持VLSM和非连续网络,其增强功能如下所列: 支持路由标记: 支持子网掩码: 支持下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYANEp.html" rel="bookmark" class="title">Eclipse&plus;Maven创建webapp项目&amp;lt&semi;一&amp;gt&semi; &lpar;转&rpar;</a>
					<div>
						  Eclipse+Maven创建webapp项目&lt;一&gt; 1.开启eclipse,右键new--&gt;other,如下图找到maven project 2.选择maven project ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgZZoM.html" rel="bookmark" class="title">visual studio-vs2013发生生成错误，求大神帮忙！</a>
					<div>
						问题描述 vs2013发生生成错误,求大神帮忙! 显示的下面这两个错误,求大神帮忙啊! 错误 2 error LNK1120: 1 个无法解析的外部命令 G:程序代码C++程序ConsoleAppli ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0d15p.html" rel="bookmark" class="title">为什么要当项目经理</a>
					<div>
						从程序员到项目经理,这个标题让我想起了很久以前一本书的名字&lt;从Javascript到Java&gt;.然而,从Javascript到Java充其量只是工具的更新,而从程序员到项目经理,却是一个脱 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqeR4b.html" rel="bookmark" class="title">html中的js出现的问题</a>
					<div>
						问题描述 html中的js出现的问题 document.getElementsByTagName(&quot;h1&quot;)[0] 是什么意思 解决方案 得到html文档中第一个h1元素. 解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq70P2z.html" rel="bookmark" class="title">专访英特尔COO马宏升：提升杨叙是为本地化整合</a>
					<div>
						英特尔全球执行副总裁马宏升 8月25日消息,英特尔全球执行副总裁马宏升(SeanMaloney)近日来到中国,他在邮件中向网易科技表示,中国是英特尔公司在全球第二大消费市场,而且是最大的新兴市场, 中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12K1Kp.html" rel="bookmark" class="title">LinqToSQL&colon; Comprehensive Support for SQLite&comma; MS Access&comma; SQServer2000&sol;2005</a>
					<div>
						问题描述 http://www.codeproject.com/KB/linq/linqToSql_7.aspx一起研究下. 解决方案 解决方案二:可惜这3中数据库我现在都不用.不过我都用过,而且也都 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRvwkp.html" rel="bookmark" class="title">9月上旬全球六大顶级域名最新动态 &period;COM占73&period;26&percnt;</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 近日,国外网站Whois Sour ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZ6xEp.html" rel="bookmark" class="title">汇编-gcc下为什么while要被翻译成if do while</a>
					<div>
						问题描述 gcc下为什么while要被翻译成if do while csapp200页的一个问题 说是while loop翻译到汇编就变成ifdowhile的形式了 要是不用ifdowhile直接这样 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeoB8OM.html" rel="bookmark" class="title">阿里加紧去雅虎化 邮箱关闭成为历史</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 雅虎作为国内曾经的霸主之一,一个以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0Rd7p.html" rel="bookmark" class="title">浅析jQuery Ajax通用js封装&lowbar;jquery</a>
					<div>
						本文大概分为三步实现jquery ajax通过js封装,通过代码实例讲解,代码附有注释,比较容易理解,具体详情如下所示: 第一步:引入jQuery库 &lt;script type=&quot;tex ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV77JDb.html" rel="bookmark" class="title">利用Photoshop调出外景人物图片柔和的初夏阳光色效果教程&lpar;1&sol;7&rpar;</a>
					<div>
						本教程介绍柔和的暖色效果调色方法.过程也比较简单:先大致分析图片的色彩构成,然后用调色工具把背景的主色转为暖色,人物部分也根据主色稍微美化一下即可. 原图 &lt;点小图查看大图&gt;   最终效果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8Xw0b.html" rel="bookmark" class="title">jQuery实现点击按钮文字变成input框点击保存变成文字&lowbar;jquery</a>
					<div>
						废话不多说,直接给大家贴代码了. 具体代码如下所示: &lt;!DOCTYPE html&gt; &lt;html lang=&quot;en&quot;&gt; &lt;head&gt; &lt;m ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0NLaAz.html" rel="bookmark" class="title">一些常用的工具网站&comma;seo类</a>
					<div>
						搜索引擎及目录免费登录入口:Google:http://www.Google.com/intl/zh-CN/add_url.html百度:http://www.Baidu.com/search/url ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
